<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'envois_colis';

		/* data for selected record, or defaults if none is selected */
		var data = {
			link_colis: <?php echo json_encode(array('id' => $rdata['link_colis'], 'value' => $rdata['link_colis'], 'text' => $jdata['link_colis'])); ?>,
			destination: <?php echo json_encode(array('id' => $rdata['destination'], 'value' => $rdata['destination'], 'text' => $jdata['destination'])); ?>,
			agence: <?php echo json_encode(array('id' => $rdata['agence'], 'value' => $rdata['agence'], 'text' => $jdata['agence'])); ?>,
			ville: <?php echo json_encode(array('id' => $rdata['ville'], 'value' => $rdata['ville'], 'text' => $jdata['ville'])); ?>,
			beneficiaire: <?php echo json_encode(array('id' => $rdata['beneficiaire'], 'value' => $rdata['beneficiaire'], 'text' => $jdata['beneficiaire'])); ?>,
			telephone_beneficiaire: <?php echo json_encode($jdata['telephone_beneficiaire']); ?>,
			nni_beneficiaire: <?php echo json_encode($jdata['nni_beneficiaire']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for link_colis */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'link_colis' && d.id == data.link_colis.id)
				return { results: [ data.link_colis ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for destination */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'destination' && d.id == data.destination.id)
				return { results: [ data.destination ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for agence */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'agence' && d.id == data.agence.id)
				return { results: [ data.agence ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for ville */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'ville' && d.id == data.ville.id)
				return { results: [ data.ville ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for beneficiaire */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'beneficiaire' && d.id == data.beneficiaire.id)
				return { results: [ data.beneficiaire ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for beneficiaire autofills */
		cache.addCheck(function(u, d) {
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'beneficiaire' && d.id == data.beneficiaire.id) {
				$j('#telephone_beneficiaire' + d[rnd]).html(data.telephone_beneficiaire);
				$j('#nni_beneficiaire' + d[rnd]).html(data.nni_beneficiaire);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

